<template>
  <v-layout row wrap>
    <v-flex
      class="text-xs-center"
      px-2
      py-4
      col
      xs12>
      <h1>Dashboard</h1>
    </v-flex>
    <v-flex
      col
      sm6
      v-if= " moduleActif[0] == 1"
    >
      <v-flex
        @click="charge('Alerts and Notifications')"
        class="pointer"
      >
        <alerts-and-notifications-mini title="Alerts and Notifications"></alerts-and-notifications-mini>
      </v-flex>
      <v-btn @click="display(0,'Alerts and Notifications')">Disable module</v-btn>
    </v-flex>
    <v-flex
      col
      sm6
      v-if= " moduleActif[1] == 1"
    >
      <v-flex
        @click="charge('Liste des missions')"
        class="pointer"
      >
        <check-list-global-mini title="Liste des missions"></check-list-global-mini>
      </v-flex>
      <v-btn @click="display(1,'Liste des missions')">Disable module</v-btn>
    </v-flex>
    <v-flex
      col
      sm6
      v-if= " moduleActif[2] == 1"
    >
      <v-flex
        @click="charge('Commencer une mission')"
        class="pointer"
      >
        <start-mission-mini title="Commencer une mission"></start-mission-mini>
      </v-flex>
      <v-btn @click="display(2,'Commencer une mission')">Disable module</v-btn>
    </v-flex>
    <v-flex
      col
      sm6
      v-if= " moduleActif[3] == 1"
    >
      <v-flex
        @click="charge('Piloter le drone')"
        class="pointer"
      >
        <drone-mini title="Piloter le drone"></drone-mini>
      </v-flex>
      <v-btn @click="display(3,'Piloter le drone')">Disable module</v-btn>
    </v-flex>
    <v-flex
      col
      sm6
      v-if= " moduleActif[4] == 1"
    >
      <v-flex
        @click="charge('Vérification du matériel')"
        class="pointer"
      >
        <check-material-mini title="Vérification du matériel"></check-material-mini>
      </v-flex>
      <v-btn @click="display(4,'Vérification du matériel')">Disable module</v-btn>
    </v-flex>
    <v-flex
      col
      sm6
      v-if= " moduleActif[5] == 1"
    >
      <v-flex

        @click="charge('Bilan de santé')"
        class="pointer"
      >
        <check-up-mini title="Bilan de santé"></check-up-mini>
      </v-flex>
      <v-btn @click="display(5,'Bilan de santé')">Disable module</v-btn>
    </v-flex>
    
    <v-flex
      col
      sm6
      v-if= " moduleActif[6] == 1"
    >
      <v-flex
        @click="charge('Météo')"
        class="pointer"
      >
        <meteo-mini title="Météo"></meteo-mini>
      </v-flex>
      <v-btn @click="display(6,'Météo')">Disable module</v-btn>
    </v-flex>
    <v-flex
      col
      sm6
      v-if= " moduleActif[7] == 1"
    >
      <v-flex
        @click="charge('Ma Position')"
        class="pointer"
      >
        <position-mini title="Ma Position"></position-mini>
        <v-btn @click="display(7,'Ma position')">Disable module</v-btn>
      </v-flex>
    </v-flex>
    <v-flex
      col
      sm6
      v-if= " moduleActif[8] == 1"
    >
      <v-flex
        @click="charge('Cahier des charges')"
        class="pointer"
      >
        <spec-mini title="Cahier des charges"></spec-mini>
      </v-flex>
      <v-btn @click="display(8,'Cahier des charges')">Disable module</v-btn>
    </v-flex>
    <v-btn
      @click="drawer = !drawer"
      fixed
      dark
      fab
      right
      bottom
      color="pink"
    >
      <v-icon>add</v-icon>
    </v-btn>
    <v-navigation-drawer
      v-model="drawer"
      absolute
      right
    >
    <h1 class="text-xs-center pt-4">Liste des Modules</h1>
      <v-card
        class="ma-4"
        @click="drawer = !drawer"
      >
        <v-img
          src="https://cdn.vuetifyjs.com/images/cards/sunshine.jpg"
          height="100px"
        >
        </v-img>
      </v-card>
      <v-flex
      col
      @click="display(0, 'Alerts and Notifications')"
      class="pointer"
      v-if= " moduleActif[0] == 0 "
    >
      <alerts-and-notifications-mini title="Alerts and Notifications"></alerts-and-notifications-mini>
    </v-flex>
    <v-flex
      col
      @click="display(1, 'Liste des missions')"
      class="pointer"
      v-if= " moduleActif[1] == 0 "
    >
      <check-list-global-mini title="Liste des missions"></check-list-global-mini>
    </v-flex>
    <v-flex
      col
      @click="display(2, 'Commencer une mission')"
      class="pointer"
      v-if= " moduleActif[2] == 0 "
    >
      <start-mission-mini title="Commencer une mission"></start-mission-mini>
    </v-flex>
    <v-flex
      col
      @click="display(3, 'Piloter le drone')"
      class="pointer"
      v-if= " moduleActif[3] == 0 "
    >
      <drone-mini title="Piloter le drone"></drone-mini>
    </v-flex>
    <v-flex
      col
      @click="display(4, 'Vérification du matériel')"
      class="pointer"
      v-if= " moduleActif[4] == 0 "
    >
      <check-material-mini title="Vérification du matériel"></check-material-mini>
    </v-flex>
    <v-flex
      col
      @click="display(5, 'Bilan de santé')"
      class="pointer"
      v-if= " moduleActif[5] == 0 "
    >
      <check-up-mini title="Bilan de santé"></check-up-mini>
    </v-flex>
    <v-flex
      col
      @click="display(6, 'Météo')"
      class="pointer"
      v-if= " moduleActif[6] == 0 "
    >
      <meteo-mini title="Météo"></meteo-mini>
    </v-flex>

    <v-flex
      col
      @click="display(7, 'Ma Position')"
      class="pointer"
      v-if= " moduleActif[7] == 0 "
    >
      <position-mini title="Ma Position"></position-mini>
    </v-flex>

    <v-flex
      col
      @click="display(8, 'Cahier des charges')"
      class="pointer"
      v-if= " moduleActif[8] == 0 "
    >
      <spec-mini title="Cahier des charges"></spec-mini>
    </v-flex>

    </v-navigation-drawer>
    <v-dialog
      v-model="dialog"
      fullscreen
      hide-overlay
      transition="dialog-bottom-transition"
      scrollable
    >
      <v-card tile>
        <v-toolbar card dark color="primary">
          <v-btn icon dark @click="dialog = false">
            <v-icon>close</v-icon>
          </v-btn>
          <v-toolbar-title>{{affiche}}</v-toolbar-title>
        </v-toolbar>
        <div class="grey darken-3">
          <check-list-global v-if="affiche == 'Liste des missions'"></check-list-global>
          <check-list-start-mission v-else-if="affiche == 'Commencer une mission'"></check-list-start-mission>
          <drone v-else-if="affiche == 'Piloter le drone'"></drone>
          <google-map v-else-if="affiche == 'Ma Position'"></google-map>
          <specification v-else-if="affiche == 'Cahier des charges'"></specification>
          <alert v-else-if="affiche == 'Alertes et notifications'"></alert>
          <check-material v-else-if="affiche == 'Vérification du matériel'"></check-material>
          <check-up v-else-if="affiche == 'Bilan de santé'"></check-up>
          <meteo v-else-if="affiche == 'Météo'"></meteo>

          <div style="flex: 1 1 auto;"></div>
        </div>
      </v-card>
    </v-dialog>
  </v-layout>
</template>

<script>
  import CheckListGlobal from '@/components/CheckListGlobal'
  import CheckListStartMission from '@/components/CheckListStartMission'
  import Drone from '@/components/Drone'
  import GoogleMap from '@/components/GoogleMap'
  import Specification from '@/components/Specification'
  import AlertsAndNotificationsMini from '@/components/mini/AlertsAndNotificationsMini'
  import CheckListGlobalMini from '@/components/mini/CheckListGlobalMini'
  import Alert from '@/components/AlertsAndNotifications'
  import StartMissionMini from '@/components/mini/StartMissionMini'
  import CheckMaterial from '@/components/CheckMaterial'
  import CheckUp from '@/components/CheckUp'
  import CheckUpMini from '@/components/mini/CheckUpMini'
  import CheckMaterialMini from '@/components/mini/CheckMaterialMini'
  import PositionMini from '@/components/mini/PositionMini'
  import DroneMini from '@/components/mini/DriveDroneMini'
  import MeteoMini from '@/components/mini/MeteoMini'
  import Meteo from '@/components/Meteo'
  import SpecMini from '@/components/mini/SpecMini'

  export default {
    components: {
      CheckListGlobal,
      CheckListStartMission,
      Drone,
      GoogleMap,
      Specification,
      AlertsAndNotificationsMini,
      CheckListGlobalMini,
      Alert,
      StartMissionMini,
      CheckMaterial,
      CheckUp,
      CheckUpMini,
      CheckMaterialMini,
      DroneMini,
      MeteoMini,
      Meteo,
      PositionMini,
      DroneMini,
      SpecMini
    },
    data () {
      return {
        affiche: '',
        moduleActif: [0,1,1,0,1,0,1,0,0],
        dialog: false,
        drawer: false,
        items: [
          { title: 'Home', icon: 'dashboard' },
          { title: 'About', icon: 'question_answer' }
        ],
        right: null
      }
    },
    methods: {
      charge (str) {
        this.dialog = !this.dialog
        this.affiche = str
      },
      display(index, str){
        this.moduleActif[index] === 0 ? this.moduleActif[index] = 1 : this.moduleActif[index] = 0
        this.drawer = !this.drawer;
      }
    }
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
  .zindex5 {
    z-index: 5;
  }
  .pointer {
    cursor: pointer;
    -webkit-transition: all 0.2s;
    -moz-transition: all 0.2s;
    -ms-transition: all 0.2s;
    -o-transition: all 0.2s;
    transition: all 0.2s;
  }
  .pointer:hover {
    transform: scale(1.05, 1.05);
  }
</style>
